.check_version_package:
  script:
    - apk add libxml2-utils curl
    - VERSION=$(cat $VERSION_FILE)
    - CSPROJ_FILE=$(eval find $MAIN_CSPROJ_FILE)
    - PACKAGEID=$(xmllint --xpath '/Project/PropertyGroup/PackageId/text()' $CSPROJ_FILE)
    - nuget=$(curl "$NUGET_SOURCE2"/Packages\(Id\="$PACKAGEID",Version\="$VERSION"\))
    - test ! "$nuget"  # if this goes wrong, the version already exists in the nuget repository
    - VERSION="v$VERSION"
    - apk add git
    - git fetch --tags
    - tmp=0; git rev-parse "$VERSION" || tmp=$?
    - test $tmp -ne 0  # if this goes wrong, the version already exists in git tags

check_version_merge_to_master_package:
  extends: .check_version_package
  stage: check_version_merge_to_master_package
  only:
    - merge_requests
  except:
    variables:
      - $CI_MERGE_REQUEST_TARGET_BRANCH_NAME != "master"  # only merge requests to master

check_version_package:
  extends: .check_version_package
  stage: check_version_package
  only:
    - master
